menu_bg:
  label: Background coloured
  namespace: Organisms/TM - Menus
  use: '@organisms/tm-menu/menu-bg/menu-bg.twig'
  description: Background coloured
  libraries:
    - menu_bg_lib:
        css:
          component:
            ../styles/menu-bg.css: {}

  fields:
    mid:
      type: text
      label: Menu ID
      description: Menu ID
      preview: my-menu
    links:
      type: object
      label: Items
      preview:
        - lid: _1
          title: Stansted Express
          url: /
          icon:
        - lid: _2
          title: Transparency
          url: /
          icon:
          class: 'active'
        - lid: _3
          title: Privacy Policy
          url: /
          icon:

  settings:
    wrapper_attributes:
      type: attributes
      label: Attributes for the menu wrapper
    wrapper_class:
      type: textfield
      label: Wrapper classes
